package org.firstinspires.ftc.teamcode;

import com.qualcomm.robotcore.eventloop.opmode.LinearOpMode;

public abstract class LinearOpModeWithAPI extends LinearOpMode {
    protected API api;
    protected GameMotors motors;

    public void construct() {
        api = new API(this);
        motors = new GameMotors(api);
    }

    public void construct(boolean useLogFile) {
        api = new API(this, useLogFile);
        motors = new GameMotors(api);
    }
}
